Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155841 - /etc/aliases should not have mailman entries
Summary: /etc/aliases should not have mailman entries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setup
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-24 15:16 UTC by John Dennis
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version: 2.5.43-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-25 16:55:24 UTC


Attachments (Terms of Use)

Description John Dennis 2005-04-24 15:16:56 UTC
The setup rpm installs the /etc/aliases file with the following entries

# mailman aliases
mailman:	postmaster
mailman-owner:	mailman

These aliases conflict with the aliases that the 2.1.5 version of mailman
creates. I believe the above aliases were for the 2.0.x versions of mailman. The
mailman package should manage its own aliases. Can we please remove these from
setup? I filed this against Fedora, but I think this is true for all distributions.

Comment 1 Bill Nottingham 2005-04-25 16:55:24 UTC
Hm, those are in the original import of the file from January 2004. I wonder how
far back they date. For RHEL 3 sendmail would have to be fixed.

Fixed in 2.5.43-1. Not fixing for RHEL 4 for now...


Note You need to log in before you can comment on or make changes to this bug.